Subject: Re: [PATCH 06/25] soc: ti: knav_qmss_queue: Remove set but unchecked variable 'ret'

From: Lee Jones <[email-masked]>
Date: Thu, 12 Nov 2020 20:07:44 +0000

On Thu, 12 Nov 2020, [email-masked] wrote:

> On 11/12/20 11:02 AM, Lee Jones wrote:
> > On Thu, 12 Nov 2020, [email-masked] wrote:
> > 
> > > On 11/12/20 5:21 AM, Lee Jones wrote:
> > > > On Thu, 12 Nov 2020, Tero Kristo wrote:
> > > > 
> > > > > On 12/11/2020 12:31, Lee Jones wrote:
> > > > > > Cc:ing a few people I know.
> > > > > > 
> > > > > > On Tue, 03 Nov 2020, Lee Jones wrote:
> > > > > > 
> > > > > > > Fixes the following W=1 kernel build warning(s):
> > > > > > > 
> > > > > > >     drivers/soc/ti/knav_qmss_queue.c: In function ‘knav_setup_queue_pools’:
> > > > > > >     drivers/soc/ti/knav_qmss_queue.c:1310:6: warning: variable ‘ret’ set but not used [-Wunused-but-set-variable]
> > > > > > > 
> > > > > > > Cc: Santosh Shilimkar <[email-masked]>
> > > > > > > Cc: Sandeep Nair <[email-masked]>
> > > > > > > Cc: Cyril Chemparathy <[email-masked]>
> > > > > > > Signed-off-by: Lee Jones <[email-masked]>
> > > > > > > ---
> > > > > > >     drivers/soc/ti/knav_qmss_queue.c | 3 +--
> > > > > > >     1 file changed, 1 insertion(+), 2 deletions(-)
> > > > > > 
> > > > > > Any idea who will take these TI patches?
> > > > > > 
> > > > > > https://urldefense.com/v3/__https://lore.kernel.org/linux-arm-kernel/[email-masked]/__;!!GqivPVa7Brio!KEeMCT-GwmLNnDFCOqxnunXXiCrCpj3ZFXpiMzj55VmlOJ-FVhKmom-O7sq-CkL8s0sjAg$
> > > > > > 
> > > > > 
> > > > > (Dropped a few inactive emails from delivery.)
> > > > > 
> > > > > Santosh is the maintainer for the subsystem, so my vote would go for him.
> > > > 
> > > > Thanks for your prompt reply Tero.
> > > > 
> > > > It looks as though Santosh has been on Cc since the start.  He must
> > > > just be busy.  I'll give him a little while longer before submitting a
> > > > [RESEND].
> > > > 
> > > Go ahead and re-post. These seems to be trivial so will pick
> > > it up.
> > 
> > If you are in receipt of the first iteration, there shouldn't be any
> > requirement for a [RESEND].  Unless you deleted them from your inbox?
> > 
> I haven't deleted anything. I thought you are going to repost based
> on "I'll give him a little while longer before submitting a [RESEND]"
> :-)

A [RESEND] is a tactic employed due to lack of response.

Usually because the original set has slipped through the gaps.

If you find the patches adequate and you still have them in your
possession, please feel free to merge them. :)

-- 
Lee Jones [李琼斯]
Senior Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel